package com.xkrs.model.qo;

import com.xkrs.model.validation.DataDictQoInsert;

import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 10:14
 */
public class DataDictQo {

    /**
     * 质检项代码
     */
    @NotBlank(message = "{DataDict.inspectionItemCode.blank}", groups = {DataDictQoInsert.class})
    private String inspectionItemCode;

    /**
     * 质检项名称
     */
    @NotBlank(message = "{DataDict.inspectionItemName.blank}", groups = {DataDictQoInsert.class})
    private String inspectionItemName;

    public DataDictQo() {
    }

    public String getInspectionItemCode() {
        return inspectionItemCode;
    }

    public void setInspectionItemCode(String inspectionItemCode) {
        this.inspectionItemCode = inspectionItemCode;
    }

    public String getInspectionItemName() {
        return inspectionItemName;
    }

    public void setInspectionItemName(String inspectionItemName) {
        this.inspectionItemName = inspectionItemName;
    }
}
